clc
clear

close all

%filename='DP_Dynamicka_prikonova_charakteristika_USB.bin';
filename='DP_Dynamicka_prikonova_charakteristika_BAT.bin';

Rsns=1;
Isleep=444e-6;

[t, u]=importAgilentBin(filename,1);
[~, u2]=importAgilentBin(filename,2);

i = (u-u2)/Rsns;

%Compensate offset
Offset = mean(i(1:500)) - Isleep;
i = i-Offset;
%Clip negative current
i(i<0)=0;

p = u.*i;
fig=figure();set(gcf,'position',[10,10,800,600]);
%plot(t',[u' ; i' ; p'])
plot(t,p);
grid on
box on
xlabel('Čas [s]');
ylabel('Příkon [W]');
title('Dynamická příkonová charakteristika');
%Calculate energy
dT=t(2)-t(1);
E=sum(p)*dT

%Standby energy one year
Eyear = mean(u(1:500))*444e-6*24*365;
%Total battery energy
Bat=3.6*8.8; %Watt hour
%Number of measurements
NMeas = (Bat-Eyear)/ (E / 3600)
    